New program to help set up VASL scenarios

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
Also the program is not finding my VASSAL version

'Cant get the VASSAL version:
VassalShim error: rc=1'
This is probably because the version of Java and VASSAL you have configured are not compatible.

If you're on Windows, just delete the setting for Java, and the program will use the Java that gets installed as part of VASSAL.

Otherwise, configure the same Java that you use to run VASSAL.
 

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
This is probably because the version of Java and VASSAL you have configured are not compatible.

If you're on Windows, just delete the setting for Java, and the program will use the Java that gets installed as part of VASSAL.

Otherwise, configure the same Java that you use to run VASSAL.
thanks. I sorted it out eventually. I tracked back through the forum and read that somebody else had come across the same issue. I probably need to tweak it a bit more but I've created my first template so Am getting used to the program.

the key was deleting the entry for the Java setting.

I had it working beforehand with an entry in the Java box but only using VASSAL 3.5.5. I can now use 3.5.8. Plus I initially needed to install Google chrome to use the webdriver For win10.
Took a while and numerous permutations but got there in the end.


Cheers

Paul
 
Last edited:

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
Struggling to incorporate photos in my templates. Can somebody who has successfully done so give me a few pointers?

Cheers

Paul

Problem solved

Open the Overlays window and add a label. For an image from the internet, edit it to be:
<html> <img src="...URL..."> </html>
or for an image on your PC:
<html> <img src="file:///...FILE-PATH..."> </html>
 
Last edited:

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
Like others who have posted I haven't managed to get the linked photo images from the internet to load into VASL. From my own PC they work flawlessly. Not a biggie, more of a nice to have, TBH. Otherwise the program is very, very nice.

Chapter H notes I'll address as and when I create a template. It will be a huge job, no question, to attempt to try do it all at once.

Cheers

Paul
 

Doug Leslie

Senior Member
Joined
Dec 6, 2017
Messages
627
Reaction score
369
Location
Scotland
Country
llUnited Kingdom
I have started to have a problem when I try to set up the template. When I click on the "search scenario" box, it won't take me to the scenario archive site and I just get a message talking about an expired certificate. I have re-loaded VASL Templates but the problem is still occurring. I am using Vassal 6.6.2 with VASL 3.5.8. Any suggestions would be gratefully received!
 

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
When I click on the "search scenario" box, it won't take me to the scenario archive site and I just get a message talking about an expired certificate. I have re-loaded VASL Templates but the problem is still occurring. I am using Vassal 6.6.2 with VASL 3.5.8.
Works for me :) Can you open the site yourself in a browser?

One of the major issuers of security certificates (which the ASL Scenario Archive uses) expired one of their key certificates recently, so what you're seeing is probably a consequence of that. Updating your browser, running Windows Update (or the equivalent, if you're not on Windows), might help. It's (almost certainly) not a problem with VASL nor VASSAL nor vasl-templates.
 

Doug Leslie

Senior Member
Joined
Dec 6, 2017
Messages
627
Reaction score
369
Location
Scotland
Country
llUnited Kingdom
Works for me :) Can you open the site yourself in a browser?

One of the major issuers of security certificates (which the ASL Scenario Archive uses) expired one of their key certificates recently, so what you're seeing is probably a consequence of that. Updating your browser, running Windows Update (or the equivalent, if you're not on Windows), might help. It's (almost certainly) not a problem with VASL nor VASSAL nor vasl-templates.
I can open the site without any problem. Is it worth updating my browsers?
 

chef-62

xxxxxxxx
Joined
Jul 4, 2009
Messages
72
Reaction score
1
Location
Saronno
Country
llItaly
Sorry I don't know if it should be considered an error but in the Templates v1.7 with the PF there is no writing -1 1945 and +1 date is 8/43-9/43 PFk only by SSR
 

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
with the PF there is no writing -1 1945
The template will adjust the dr you need to make according to the scenario date. If the scenario date is not set, it should explicitly show this drm, but it isn't, so yes, this is a bug.

In the $/data/default-template-pack/ folder, replace the pf.j2 file with the one attached here (it has a .txt extension so that GameSquad will allow it to be uploaded :-/).

and +1 date is 8/43-9/43 PFk only by SSR
Well, in fairness, this is a PF label, not a PF/PFk label :) The new pf.j2 file attached here also handles PFk, but unfortunately, there's a bug in the code as well, and anything prior to 10/43 will have a target dr of 2, instead of 3. This requires a code change to fix, but I'll be pushing out a new beta release in the next week or two.
 

Attachments

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
The first beta for v1.8 of vasl-templates has been released here.
  • A splash screen is shown as the program is starting up.
  • The UI is updated correctly when reseting a vehicle/ordnance.
  • SMOKE Depletion Numbers are updated correctly for Elite status.
  • Updated the PF template for PFk's.
  • A better error message is shown if we can't get the VASSAL version number.
  • File downloads are converted to UTF-8 when running the webapp in a browser.
  • Tweaked the comment for the Pz VIE SA mines.
  • Changed how the Docker container gets its container ID.
  • Minor changes to the help.
  • Updated all third-party dependencies.
If you are running from source, the repo has a branch for this release (IMPORTANT: you will need to rebuild your virtualenv).
 

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
The first beta for v1.8 of vasl-templates has been released here.
  • A splash screen is shown as the program is starting up.
  • The UI is updated correctly when reseting a vehicle/ordnance.
  • SMOKE Depletion Numbers are updated correctly for Elite status.
  • Updated the PF template for PFk's.
  • A better error message is shown if we can't get the VASSAL version number.
  • File downloads are converted to UTF-8 when running the webapp in a browser.
  • Tweaked the comment for the Pz VIE SA mines.
  • Changed how the Docker container gets its container ID.
  • Minor changes to the help.
  • Updated all third-party dependencies.
If you are running from source, the repo has a branch for this release (IMPORTANT: you will need to rebuild your virtualenv).
Is there any restriction on the data we can copy over from the earlier version? Can I just replace the executable in my old install?

Cheers

Paul
 

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
I have two executables in the root folder.

vasl-templates-main.exe and

vasl-templates.exe

the latter threw up a virus alert for Trojan:Win32/Wacatac.B!ml when I clicked on it.

Cheers

Paul
 

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
Is there any restriction on the data we can copy over from the earlier version?
If you're asking if the new version can load scenarios created by old versions, the answer is yes. Back-compatibility is something I spend a lot of time on, and things should work all the way back to v0.1 :)

Can I just replace the executable in my old install?
OTOH, it sounds like you've made changes to some of the data files, and you're worried that installing the new version will lose those changes...? If you just replace the EXE's, things should might work, but you won't get the benefit of any improvements made to the data files e.g. the new PF template. If you've made changes to the data files, you should do a diff on the old and new versions, and transfer your changes over.
 
Last edited:

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
the latter threw up a virus alert for Trojan:Win32/Wacatac.B!ml when I clicked on it.
Sigh... Here we go again :( I've switched to a new machine for building releases, and I had already done a full scan on it. I've done it again, and it's come up clean again, so it looks like a false positive. All vasl-templates.exe does is show the splash screen, then run vasl-templates-main.exe (which is the main vasl-templates program), so if you don't want to run the flagged EXE, you can just run vasl-templates-main.exe. You won't get the splash screen and will have to wait for the main window to appear, but that's the old behaviour, anyway.
 

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
Sigh... Here we go again :( I've switched to a new machine for building releases, and I had already done a full scan on it. I've done it again, and it's come up clean again, so it looks like a false positive. All vasl-templates.exe does is show the splash screen, then run vasl-templates-main.exe (which is the main vasl-templates program), so if you don't want to run the flagged EXE, you can just run vasl-templates-main.exe. You won't get the splash screen and will have to wait for the main window to appear, but that's the old behaviour, anyway.
I thought that might be the case. Restored the file, copied over the templates I've created and my Chapter H folder to the new install and all seems to be running perfectly 🆒
 

Pacman Ghost

Senior Member
Joined
Feb 25, 2017
Messages
530
Reaction score
279
Location
A maze of twisty little passages, all alike
Country
llAustralia
copied over the templates I've created and my Chapter H folder to the new install and all seems to be running perfectly 🆒
No worries.

The Chapter H data doesn't have to be in the installation directory. It can be anywhere, and it's actually better to keep it somewhere else, so that it won't be affected when you install a new version of the program.

You can also create your own "template pack" (i.e. a copy of what's in $/data/default-template-pack) and make your changes to those files. Then, when you install a new version, you can just overwrite your old installation, then run a diff on the new template files with your template pack. To automatically load your template pack when the program starts:
Code:
vasl-templates.exe --template-pack {{path-to-your-template-pack}}
 

Paul_RS

Elder Member
Joined
Feb 14, 2010
Messages
1,586
Reaction score
649
Location
Gammonopolis
Country
llUnited Kingdom
One problem I’m having. I create a template and update my VASL file. I then go to play live and my opponent synchs with with my file on the server. He can’t see see any of the images in my game file. The file is loading the images directly from the program. What am I doing wrong?

thanks

Paul
 
Top